Redmine - Defect #14450

Assignee field is cleared when validation fails
2013-07-12 16:40 - Martin Studer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 2.3.0

Description

When creating a new issue and choosing an assignee but not choosing other mandatory fields, the assignee is cleared when the
validation fails. This causes issues to be assigned to nobody after having entered the missing details but forgetting to fix the
assignee.

History

#1 - 2013-07-12 17:02 - Martin Studer

As a workaround, we also tried to make the "Assignee" field mandatory/required. But that didn't seem to work either: there is no red star appearing,
most likely indicating the field is not actually recognized as mandatory.

#2 - 2013-07-12 18:48 - Jean-Philippe Lang

the assignee is cleared when the validation fails

| cannot reproduce. Could you describe the exact conditions/steps in order to reproduce?
#3 - 2013-07-15 11:22 - Martin Studer
We use custom fields which are defined to be mandatory. The following steps reproduce the problem:

e Create a new issue and fill in all details except for a mandatory custom field (in our case a dropdown which still says "--- Please select ---")
* Choose create

As a result, you will get a validation error saying "<Field> can't be blank”. In addition, the "Assignee" field will be cleared (set to blank) or to the default
assignee if one is set.

#4 - 2013-08-05 21:28 - Jean-Philippe Lang
- File assignee.png added

- Resolution set to Cant reproduce

Sorry but | can't reproduce with current trunk. Here is what | get, the assignee is preserved after the validation fails:
#5 - 2013-08-06 00:28 - Mischa The Evil

| can't reproduce it either on 2.3.1.stable.11915 (m.redmine.org). The behavior is the same as described by Jean-Philippe; the assignee is preserved
after the validation error.

Do you have any plugins installed?

Martin Studer wrote:

[...] or to the default assignee if one is set.

With that you mean default assignees for issue categories? Otherwise you are using a plugin which probably also causes this issue.

#6 - 2013-08-09 01:30 - Mischa The Evil

- Status changed from New to Needs feedback

#7 - 2013-08-13 09:52 - Martin Studer

Right, we make use of the redmine_default_assign plugin. | guess that is causing the issue then.

#8 - 2013-08-13 21:57 - Mischa The Evil
- Status changed from Needs feedback to Closed
- Resolution changed from Cant reproduce to Invalid
Martin Studer wrote:
| guess that is causing the issue then.

Try updating the plugin (there has been some changes recently; at least in https:/github.com/giddie/redmine_default_assign) or report the issue to
the author of the plugin version you are using.

(Plugin issues are not tracked here)
